Submit payment on a page
curl --request POST \
--url https://api.example.com/api/v1/p/{slug}/pay \
--header 'Content-Type: application/json' \
--data '
{
"asset": "USDT",
"network": "Tron",
"first_name": "Billy",
"last_name": "James",
"email": "james@example.com",
"amount": 50,
"metadata": {}
}
'import requests
url = "https://api.example.com/api/v1/p/{slug}/pay"
payload = {
"asset": "USDT",
"network": "Tron",
"first_name": "Billy",
"last_name": "James",
"email": "james@example.com",
"amount": 50,
"metadata": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
asset: 'USDT',
network: 'Tron',
first_name: 'Billy',
last_name: 'James',
email: 'james@example.com',
amount: 50,
metadata: {}
})
};
fetch('https://api.example.com/api/v1/p/{slug}/pay', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Public Payment Pages
Submit payment on a page
Customer selects crypto asset and submits. Creates a payment session and returns it.
POST
/
api
/
v1
/
p
/
{slug}
/
pay
Submit payment on a page
Path Parameters
Page slug
Body
application/json
Cryptocurrency asset to pay with
Available options:
BTC, TRX, BNB, TON, USDT, ETH, USDC, SOL Example:
"USDT"
Blockchain network for the payment
Available options:
Bitcoin, Binance_Smart_Chain, Ethereum, Solana, Tron, Base, Arbitrum, TON Example:
"Tron"
Customer first name
Example:
"Billy"
Customer last name
Example:
"James"
Customer email
Example:
"james@example.com"
Amount
Example:
50
Response
Payment session created successfully.